package com.ruoyi.sim.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 模拟器对象 sim_sim
 *
 * @author tom
 * @date 2024-12-11
 */
public class Sim extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 模拟器ID
     */
    private Long simId;

    /**
     * 座ID
     */
    @Excel(name = "座ID")
    private Long seatId;

    /**
     * 模拟器类型
     */
    @Excel(name = "模拟器类型")
    private String simType;

    /**
     * 模拟器在线 1:在线 2:离线 3:硬件故障异常
     */
    @Excel(name = "模拟器在线 1:在线 2:离线 3:硬件故障异常")
    private String state;

    /**
     * 模拟器序列号
     */
    @Excel(name = "模拟器序列号")
    private String simSn;

    public void setSimId(Long simId) {
        this.simId = simId;
    }

    public Long getSimId() {
        return simId;
    }

    public void setSeatId(Long seatId) {
        this.seatId = seatId;
    }

    public Long getSeatId() {
        return seatId;
    }

    public void setSimType(String simType) {
        this.simType = simType;
    }

    public String getSimType() {
        return simType;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getState() {
        return state;
    }

    public void setSimSn(String simSn) {
        this.simSn = simSn;
    }

    public String getSimSn() {
        return simSn;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("simId", getSimId())
                .append("seatId", getSeatId())
                .append("simType", getSimType())
                .append("state", getState())
                .append("simSn", getSimSn())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
